package com.kingdee.eas.custom.permissioncontrol;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPermApplyBillRolePermApplyInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractPermApplyBillRolePermApplyInfo()
    {
        this("id");
    }
    protected AbstractPermApplyBillRolePermApplyInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 角色权限申请明细分录 's null property 
     */
    public com.kingdee.eas.custom.permissioncontrol.PermApplyBillInfo getParent()
    {
        return (com.kingdee.eas.custom.permissioncontrol.PermApplyBillInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.permissioncontrol.PermApplyBillInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 角色权限申请明细分录 's 角色 property 
     */
    public com.kingdee.eas.base.permission.RoleInfo getRole()
    {
        return (com.kingdee.eas.base.permission.RoleInfo)get("role");
    }
    public void setRole(com.kingdee.eas.base.permission.RoleInfo item)
    {
        put("role", item);
    }
    /**
     * Object:角色权限申请明细分录's 权限数property 
     */
    public int getPermCount()
    {
        return getInt("permCount");
    }
    public void setPermCount(int item)
    {
        setInt("permCount", item);
    }
    /**
     * Object:角色权限申请明细分录's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    /**
     * Object:角色权限申请明细分录's 操作类型property 
     */
    public com.kingdee.eas.custom.permissioncontrol.bizEnum.OperationTypeEnum getOperationType()
    {
        return com.kingdee.eas.custom.permissioncontrol.bizEnum.OperationTypeEnum.getEnum(getString("operationType"));
    }
    public void setOperationType(com.kingdee.eas.custom.permissioncontrol.bizEnum.OperationTypeEnum item)
    {
		if (item != null) {
        setString("operationType", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("BAC40848");
    }
}